Subject: bug#65981: gnu: Add antimicrox

From: Luis Felipe <[email-masked]>
Date: Thu, 14 Sep 2023 19:10:47 +0000

Hi,

I'm attaching a package definition for AntiMicroX 3.3.4 
(https://github.com/AntiMicroX/antimicrox/) from my personal Guix 
channel. I've been using the software for several months now and it 
works, but I don't have the time at the moment to send a proper patch to 
Guix. I'm attaching this just in case someone else is interested (no 
need to credit me).

The software just works on X, but it fails on Wayland like so

|❯ antimicrox Selecting uinput as a default event generator.Could not 
find a valid uinput device file. Please check that you have the uinput 
module loaded. lsmod | grep uinputFailed to open event generator. Exiting.|

Possibly related to https://github.com/AntiMicroX/antimicrox/pull/781 (?)

Cheers,

-- 
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/